# ArcGISCache.js

Summary

ArcGISCache.js |
Properties |
url | {String | Array} The base URL for the layer cache.
tileOrigin | {OpenLayers.LonLat} The location of the tile origin for the cache.
tileSize | {OpenLayers.Size} This size of each tile.
useAGS | {Boolean} Indicates if we are going to be accessing the ArcGIS Server (AGS) cache via an AGS MapServer or directly through HTTP.
type | {String} Image type for the layer.
useScales | {Boolean} Optional override to indicate that the layer should use ‘scale’ information returned from the server capabilities object instead of ‘resolution’ information.
overrideDPI | {Boolean} Optional override to change the OpenLayers.DOTS_PER_INCH setting based on the tile information in the server capabilities object.
Constructor |
OpenLayers.Layer.ArcGISCache | Creates a new instance of this class
Functions |
clone | Returns an exact clone of this OpenLayers.Layer.ArcGISCache

### Properties

### url

{String | Array} The base URL for the layer cache. You can also provide a list of URL strings for the layer if your cache is available from multiple origins. This must be set before the layer is drawn.

### tileOrigin

{OpenLayers.LonLat} The location of the tile origin for the cache. An ArcGIS cache has it’s origin at the upper-left (lowest x value and highest y value of the coordinate system). The units for the tile origin should be the same as the units for the cached data.

### tileSize

{OpenLayers.Size} This size of each tile. Defaults to 256 by 256 pixels.

### useAGS

{Boolean} Indicates if we are going to be accessing the ArcGIS Server (AGS) cache via an AGS MapServer or directly through HTTP. When accessing via AGS the path structure uses a standard z/y/x structure. But AGS actually stores the tile images on disk using a hex based folder structure that looks like “http://example.com/mylayer/L00/R00000000/C00000000.png”. Learn more about this here: http://blogs.esri.com/Support/blogs/mappingcenter/archive/2010/08/20/Checking-Your-Local-Cache-Folders.aspx Defaults to true;

### type

{String} Image type for the layer. This becomes the filename extension in tile requests. Default is “png” (generating a url like “http://example.com/mylayer/L00/R00000000/C00000000.png”).

### useScales

{Boolean} Optional override to indicate that the layer should use ‘scale’ information returned from the server capabilities object instead of ‘resolution’ information. This can be important if your tile server uses an unusual DPI for the tiles.

### overrideDPI

{Boolean} Optional override to change the OpenLayers.DOTS_PER_INCH setting based on the tile information in the server capabilities object. This can be useful if your server has a non-standard DPI setting on its tiles, and you’re only using tiles with that DPI. This value is used while OpenLayers is calculating resolution using scales, and is not necessary if you have resolution information. (This is typically the case) Regardless, this setting can be useful, but is dangerous because it will impact other layers while calculating resolution. Only use this if you know what you are doing. (See OpenLayers.Util.getResolutionFromScale)

### Constructor

### OpenLayers.Layer.ArcGISCache

Creates a new instance of this class

#### Parameters

name | {String}
url | {String}
options | {Object} extra layer options

### Functions

### clone

> clone: function ( | obj | )

Returns an exact clone of this OpenLayers.Layer.ArcGISCache

#### Parameters

[obj] | {Object} optional object to assign the cloned instance to.

#### Returns

{OpenLayers.Layer.ArcGISCache} clone of this instance

This class represents a longitude and latitude pair
Instances of this class represent a width/height pair

> clone: function ( | obj | )

Returns an exact clone of this OpenLayers.Layer.ArcGISCache
Creates a new instance of this class
Close